description: >
    An interface to reset the target service to its factory state.
methods:
    - name: Reset
      description: >
          Generic method to start factory reset. Implemented by each service.
      errors:
          - xyz.openbmc_project.Common.Error.InternalFailure
